Skip to content

Increase Loan Amount

PUT
/v1/loans/increase

Amends a specific loan offer by increasing the amount. The increaseLoanAmountBy field specifies the additional amount to be offered — it does not represent the total amount to which a user wishes to increase the loan.

The decimal places in increaseLoanAmountBy are limited to the withdrawalDecimalPlaces of the offered currency, up to a maximum of four.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"currencySymbol": "USDC",
"increaseLoanAmountBy": "20",
"loanId": "1289055810346737664"
}

Responses

Loan amount increased successfully

Playground

Authorization
Body

Samples